Subject: Re: bug#33721: ci.guix.info does not return Cache-Control header for substitutes

From: Ludovic Courtès <[email-masked]>
Date: Mon, 17 Dec 2018 23:38:25 +0100

Hi Chris,

Chris Marusich <[email-masked]> skribis:

> I've noticed that ci.guix.info (which I see maps to the same IP address
> as berlin.guixsd.org) does not return a Cache-Control header for some
> substitutes.  I've tried various URLs under the /nar/gzip/ prefix, and
> and they all omitted a Cache-Control header in the response.  For
> example:

Until now ‘guix publish’ would set ‘Cache-Control’ headers only on
narinfo responses.  The idea was that nars themselves can be cached
forever.  However it probably makes more sense to set the same
‘Cache-Control’ header on nar responses.

Fixed in 9b9de08477afe0ea519f916ad3d33c9720c3278d.

Thanks,
Ludo’.